X2Go Bug report logs - #305
x2goruncommand depends on external 'which' command

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Jürgen Hötzel <juergen@archlinux.org>

Date: Wed, 11 Sep 2013 17:48:02 UTC

Severity: normal

Tags: pending

Found in version 4.1.0.0-preview

Fixed in version 4.0.1.7

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#305; Package x2goserver. (Wed, 11 Sep 2013 17:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Jürgen Hötzel <juergen@archlinux.org>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 11 Sep 2013 17:48:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Jürgen Hötzel <juergen@archlinux.org>
To: submit@bugs.x2go.org
Subject: x2goruncommand depends on external 'which' command
Date: Wed, 11 Sep 2013 19:28:42 +0200
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.1.0.0-preview

I had a hard time to track down this issue.

On a minimal ArchLinux installation, every session exited with this error:

Sep 10 17:51:43 bitzer.hoetzel.info systemd-logind[176]: New session 33 of
user juergen.
Sep 10 17:51:43 bitzer.hoetzel.info /usr/bin/x2goruncommand[24784]: ERROR:
command  failed to execute

The root cause was the missing 'which' package:
https://www.archlinux.org/packages/core/x86_64/which/.
This packages is not part of a minimal installation.

Patch enclosed (use bash-internal type command)
[Message part 2 (text/html, inline)]
[0001-Don-t-depend-on-external-which-command.patch (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#305; Package x2goserver. (Wed, 11 Sep 2013 19:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 11 Sep 2013 19:33:02 GMT) (full text, mbox, link).


Message #10 received at 305@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 305-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 305@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Wed, 11 Sep 2013 21:22:07 +0200 (CEST)
tag #305 pending
fixed #305 4.0.1.7
thanks

Hello,

X2Go issue #305 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=057048d

The issue will most likely be fixed in src:x2goserver (4.0.1.7).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 057048d2f62841894c39a2ca00cd5a62a529d02f
Author: Jürgen Hötzel <juergen@archlinux.org>
Date:   Wed Sep 11 21:21:33 2013 +0200

    Use bash-builtin 'type' instead of to be avoided 'which'. (Fixes: #305).

diff --git a/debian/changelog b/debian/changelog
index 8493262..9ac7b64 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -19,6 +19,10 @@ x2goserver (4.0.1.7-0~x2go1) UNRELEASED; urgency=low
     - Move xfonts-base from Recommends: field to Depends: field (bin:package
       x2goserver).
 
+  [ Jürgen Hötzel ]
+  * New upstream version (4.0.1.7):
+    - Use bash-builtin 'type' instead of to be avoided 'which'. (Fixes: #305).
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 28 Jul 2013 13:37:12 +0200
 
 x2goserver (4.0.1.6-0~x2go1) unstable; urgency=low


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 11 Sep 2013 19:33:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.7. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 11 Sep 2013 19:33:02 GMT) (full text, mbox, link).


Message sent on to Jürgen Hötzel <juergen@archlinux.org>:
Bug#305. (Wed, 11 Sep 2013 19:33:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#305; Package x2goserver. (Fri, 22 Nov 2013 21:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 22 Nov 2013 21:03:02 GMT) (full text, mbox, link).


Message #22 received at 305@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 305-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 305@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Fri, 22 Nov 2013 21:59:27 +0100 (CET)
close #305
thanks

Hello,

we are very hopeful that X2Go issue #305 reported by you
has been resolved in the new release (4.0.1.7) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.7)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=447e68e8b82ea4b14e5072e57a0fbc82ef32d687;hp=2d19587c215d49048b6295d87c06c452939a1b8b

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.7
Status: RELEASE
Date: Fri, 22 Nov 2013 21:58:27 +0100
Fixes: 276 278 285 305 310 331
Changes: 
 x2goserver (4.0.1.7) RELEASED; urgency=low
 .
   [ Orion Poplawski ]
   * New upstream version (4.0.1.7):
     - Install Xsession file as executable, make Xsession.d directory location
       configurable during build process, do not create unused Xsession.options.
       (Fixes: #278).
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.7):
     - Fine-tune x2goserver-xsession/Makefile: if /etc/X11 has Xsession.d and/or
       Xsession.options they get symlinked into /etc/x2go. Otherwise Xsession.d
       and Xsession.options are created under /etc/x2go as empty dir/file.
       (Fixes: #278).
     - Fix automatic keyboard setup (via x2gosetkeyboard) while resuming a
       session. (Fixes: #285).
     - Provide sudoers.d/x2goserver file that allows sudoed commands under
       KDE (by pertaining the env var QT_GRAPHICSSYSTEM. (Fixes: #276).
     - With PostgreSQL as session db backend, prevent the root user from
       launching sessions. Also, prevent x2gouser_root from being added as a
       PostgreSQL user. (Fixes: #310).
     - Execute DB status changes as late as possible during suspend / terminate.
     - Start/resume rootless sessions without geometry parameter. Esp. using
       X2GO_GEOMETRY=fullscreen for rootless sessions lead to an extra 1x1 px
       session window (nxagentCreateIconWindow in nxagent's Window.c).
     - Typo fix in x2goruncommand (for MATE session startup).
   * debian/control:
     + Update LONG_DESCRIPTIONS.
     + Raise Standards: to 3.9.4 (no changes needed).
     + Move xfonts-base to Recommends: field of bin:package x2goserver.
   * debian/x2goserver.init:
     + Make init script LSB compliant.
 .
   [ Helmer Teles ]
   * New upstream version (4.0.1.7):
     - Make umask that is used when mounting client-side folders via SSHFS
       configurable in x2goserver.conf. (Fixes: #331).
 .
   [ Jürgen Hötzel ]
   * New upstream version (4.0.1.7):
     - Use bash-builtin 'type' instead of to be avoided 'which'. (Fixes: #305).
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.0.6):
     - Fix x2goruncommand: "type -P $cmd" can create new lines in EXEC
       variable if command have the arguments wich have same names as existing
       commands, for example "rdesktop -k nl" -> "/usr/bin/rdesktop\n/usr/bin/nl".
       Now we splitting $cmd and taking only first part.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 22 Nov 2013 21:03:05 GMT) (full text, mbox, link).


Notification sent to Jürgen Hötzel <juergen@archlinux.org>:
Bug acknowledged by developer. (Fri, 22 Nov 2013 21:03:05 GMT) (full text, mbox, link).


Message sent on to Jürgen Hötzel <juergen@archlinux.org>:
Bug#305. (Fri, 22 Nov 2013 21:03:07 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 21 Dec 2013 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 13 22:07:18 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.